Loading...
Searching...
No Matches
Lomiri::DownloadManager::AuthError Class Reference

The AuthError represents an authentication error that occurred during the request of the download. More...

`#include <error.h>`

Inheritance diagram for Lomiri::DownloadManager::AuthError:
Collaboration diagram for Lomiri::DownloadManager::AuthError:

## Public Types

enum | Type { Server , Proxy }
Public Types inherited from Lomiri::DownloadManager::Error
enum | Type { Auth , DBus , Http , Network , Process , Hash }

## Public Member Functions

virtual | ~AuthError ()
Type | type ()
QString | phrase ()
QString | errorString () override
Public Member Functions inherited from Lomiri::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions

| AuthError (Transfers::Errors::AuthErrorStruct err, QObject *parent)
Protected Member Functions inherited from Lomiri::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Detailed Description

The AuthError represents an authentication error that occurred during the request of the download.

Since
  0.3

The AuthError can occur due to two different reasons, either the download required a server side authentication or the download was performed via a proxy that requires authentication and was not provided.

Definition at line 185 of file error.h.

## Member Enumeration Documentation

## Type

enum Lomiri::DownloadManager::AuthError::Type

Enumerator that represents the type of authentication error.

Enumerator
Server |
Proxy | The server needed authentication and it was not provided. The proxy needed authentication and it was not provided.

Definition at line 196 of file error.h.

## Constructor & Destructor Documentation

## ~AuthError()

Lomiri::DownloadManager::AuthError::~AuthError | ( |  | ) |

virtual

Disposes of this error and frees any resources associated with it.

Definition at line 326 of file error.cpp.

## AuthError()

Lomiri::DownloadManager::AuthError::AuthError | ( | Transfers::Errors::AuthErrorStruct | err,
|  | QObject * | parent )

protected

Creates a new error from the provided authentication error struct.

Definition at line 321 of file error.cpp.

References Lomiri::DownloadManager::Error::Auth, and Lomiri::DownloadManager::Error::Error().

Referenced by errorString(), phrase(), and type().

Here is the call graph for this function:

## Member Function Documentation

## errorString()

QString Lomiri::DownloadManager::AuthError::errorString | ( |  | ) |

override virtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Lomiri::DownloadManager::Error.

Definition at line 343 of file error.cpp.

References AuthError().

Here is the call graph for this function:

## phrase()

QString Lomiri::DownloadManager::AuthError::phrase | ( |  | ) |

/fn QString phrase()

Returns a human readable explanation for the authentication error.

Definition at line 337 of file error.cpp.

References AuthError().

Here is the call graph for this function:

## type()

AuthError::Type Lomiri::DownloadManager::AuthError::type | ( |  | ) |

/fn Type type()

Returns the type of authentication error.

Definition at line 331 of file error.cpp.

References AuthError().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- error.h
- error.cpp